%define upstream_name    File-pushd
%define upstream_version 1.016

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Change directory temporarily for a limited scope
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::pushd does a temporary 'chdir' that is easily and automatically
reverted, similar to 'pushd' in some Unix command shells. It works by
creating an object that caches the original working directory. When the
object is destroyed, the destructor calls 'chdir' to revert to the original
working directory. By storing the object in a lexical variable with a
limited scope, this happens automatically at the end of the scope.

This is very handy when working with temporary directories for tasks like
testing; a function is provided to streamline getting a temporary directory
from the File::Temp manpage.

For convenience, the object stringifies as the canonical form of the
absolute pathname of the directory entered.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.16.0-5.mga10
+ Revision: 2203947
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.16.0-4.mga9
+ Revision: 1809296
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.16.0-3.mga8
+ Revision: 1504523
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.16.0-2.mga7
+ Revision: 1283855
- Mageia 7 Mass Rebuild

* Mon May 21 2018 tv <tv> 1.16.0-1.mga7
+ Revision: 1231300
- update to 1.016

* Sat Jul 22 2017 shlomif <shlomif> 1.14.0-1.mga7
+ Revision: 1128544
- update to 1.014

* Sun Jun 19 2016 pterjan <pterjan> 1.9.0-5.mga6
+ Revision: 1027486
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.9.0-4.mga6
+ Revision: 941944
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.0-3.mga5
+ Revision: 740371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.0-2.mga5
+ Revision: 684784
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 1.9.0-1.mga5
+ Revision: 650360
- update to 1.009

* Wed Jun 04 2014 sander85 <sander85> 1.7.0-1.mga5
+ Revision: 632894
- update to 1.007

* Tue Apr 15 2014 jquelin <jquelin> 1.6.0-1.mga5
+ Revision: 614783
- update to 1.006

* Sat Oct 19 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 525942
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.5.0-1.mga4
+ Revision: 435001
- update to 1.005

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 367434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.3.0-1.mga3
+ Revision: 342185
- update to 1.003

* Fri Dec 09 2011 kharec <kharec> 1.2.0-1.mga2
+ Revision: 179405
- update to 1.002

* Mon Sep 26 2011 jquelin <jquelin> 1.1.0-1.mga2
+ Revision: 148064
- update to 1.001

* Fri Jan 21 2011 jquelin <jquelin> 1.0.0-3.mga1
+ Revision: 28564
- mageia rebuild
- imported package perl-File-pushd

